org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfPageNumber

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfPageNumber

    public class RtfPageNumber
    extends RtfContainer

Page number container.

This work was authored by Christopher Scott (scottc@westinghouse.com).

### Field Summary

Fields
`static String` `RTF_FIELD` constant for field
`static String` `RTF_FIELD_PAGE` constant for field on page
`static String` `RTF_FIELD_RESULT` constant for field result

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`attrib, parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`protected void` `writeRtfContent()` Write our attributes and content

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

`addChild, findChildren, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString`

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### RTF_FIELD

    public static final String RTF_FIELD

constant for field

See Also:
  Constant Field Values

#### RTF_FIELD_PAGE

    public static final String RTF_FIELD_PAGE

constant for field on page

See Also:
  Constant Field Values

#### RTF_FIELD_RESULT

    public static final String RTF_FIELD_RESULT

constant for field result

See Also:
  Constant Field Values

### Method Detail

#### writeRtfContent

    protected void writeRtfContent()
                            throws IOException

Write our attributes and content

Overrides:
  `writeRtfContent` in class `RtfContainer`
Throws:
  `IOException` - for I/O problems

#### isEmpty

    public boolean isEmpty()

Overrides:
  `isEmpty` in class `RtfContainer`
Returns:
  true if this element would generate no "useful" RTF content